package database

import (
	"github.com/jmoiron/sqlx"
)

// Open opens a connection to the database
func Open(dsn string, maxConn int) (*sqlx.DB, error) {
	db, err := sqlx.Open("postgres", dsn)
	if err != nil {
		return nil, err
	}
	if maxConn != 0 {
		db.SetMaxOpenConns(maxConn)
	}
	return db, nil
}
